# Uses of Class
org.codehaus.janino.Parser

Packages that use Parser
Package
Description
org.codehaus.janino
The core of the Janino Java compiler.

## Uses of Parser in org.codehaus.janino

Methods in org.codehaus.janino with parameters of type Parser
Modifier and Type
Method
Description
`final void`
ExpressionEvaluator.`cook(Parser... parsers)`
`final void`
ScriptEvaluator.`cook(Parser[] parsers)`
`protected void`
ScriptEvaluator.`makeStatements(int idx, Parser parser, List<Java.BlockStatement> resultStatements, List<Java.MethodDeclarator> resultMethods)`
Parses statements from the parser until end-of-input.